StableOps
API 參考

查詢付款訂單列表

查詢目前組織和環境的 StableOps 付款訂單列表,按介面提供的條件篩選並分頁讀取,用於客服排查和日常對帳。商戶應在伺服器端保管金鑰,按介面要求使用穩定冪等鍵,並以查詢結果和驗籤後的事件核對狀態。生產履約建議等待最終確認,不能僅憑頁面跳轉認定支付成功。

GET/v1/payment-orders

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Query Parameters

offset?number

Skip this many items before returning results (default 0).

limit?number

Page size (1-200, default 50).

status?string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/payment-orders"
{
  "items": [
    {
      "id": "string",
      "merchant_order_id": "string",
      "amount": "string",
      "requested_amount": "string",
      "chain_amount": "string",
      "settlement_asset": "USDC",
      "status": "created",
      "expires_at": "2019-08-24T14:15:22Z",
      "metadata": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "accepted_assets": [
        {
          "chain": "ethereum",
          "asset": "USDC"
        }
      ],
      "payment_instructions": [
        {
          "chain": "ethereum",
          "asset": "USDC",
          "address": "string"
        }
      ]
    }
  ],
  "has_more": true,
  "total": 0
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

這篇文件怎麼樣?

最後更新